in scala.mobile
class Code

`class` Code
  `extends` java.lang.Object
  `with` scala.ScalaObject

  The class `Code` provides `apply` methods with different arities (actually up to 9 parameters) to invoke a function simply by specifying its name and argument types.

  Example:

          val url = new URL("http://scala.epfl.ch/classes/examples.jar");
          val obj = new Location(url) create "examples.sort";
          val ar = Array(6, 2, 8, 5, 1);
          obj[Array[Int], Unit]("println")(ar);
          obj[Array[Int], Unit]("sort")(ar);
          obj[Array[Int], Unit]("println")(ar);

See Also:
  Location
Author:
  Stephane Micheloud
Version:
  1.0, 04/05/2004

Constructor Summary
| `def` this (clazz: java.lang.Class)

Type Summary
`private` | `type` JObject

Def Summary
| `def` apply [A0, A1, A2, A3, A4, A5, A6, A7, A8, R] (funName: java.lang.String) : scala.Function9[A0, A1, A2, A3, A4, A5, A6, A7, A8, R]
| `def` apply [A0, A1, A2, A3, A4, A5, A6, A7, R] (funName: java.lang.String) : scala.Function8[A0, A1, A2, A3, A4, A5, A6, A7, R]
| `def` apply [A0, A1, A2, A3, A4, A5, A6, R] (funName: java.lang.String) : scala.Function7[A0, A1, A2, A3, A4, A5, A6, R]
| `def` apply [A0, A1, A2, A3, A4, A5, R] (funName: java.lang.String) : scala.Function6[A0, A1, A2, A3, A4, A5, R]
| `def` apply [A0, A1, A2, A3, A4, R] (funName: java.lang.String) : scala.Function5[A0, A1, A2, A3, A4, R]
| `def` apply [A0, A1, A2, A3, R] (funName: java.lang.String) : scala.Function4[A0, A1, A2, A3, R]
| `def` apply [A0, A1, A2, R] (funName: java.lang.String) : scala.Function3[A0, A1, A2, R]
| `def` apply [A0, A1, R] (funName: java.lang.String) : scala.Function2[A0, A1, R]
| `def` apply [A0, R] (funName: java.lang.String) : scala.Function1[A0, R]
| `def` apply [R] (funName: java.lang.String) : scala.Function0[R]

Constructor Detail

`def` this (clazz: java.lang.Class)

Type Detail

`private type` JObject

Def Detail

`def` apply [A0, A1, A2, A3, A4, A5, A6, A7, A8, R](funName: java.lang.String): scala.Function9[A0, A1, A2, A3, A4, A5, A6, A7, A8, R]

`def` apply [A0, A1, A2, A3, A4, A5, A6, A7, R](funName: java.lang.String): scala.Function8[A0, A1, A2, A3, A4, A5, A6, A7, R]

`def` apply [A0, A1, A2, A3, A4, A5, A6, R](funName: java.lang.String): scala.Function7[A0, A1, A2, A3, A4, A5, A6, R]

`def` apply [A0, A1, A2, A3, A4, A5, R](funName: java.lang.String): scala.Function6[A0, A1, A2, A3, A4, A5, R]

`def` apply [A0, A1, A2, A3, A4, R](funName: java.lang.String): scala.Function5[A0, A1, A2, A3, A4, R]

`def` apply [A0, A1, A2, A3, R](funName: java.lang.String): scala.Function4[A0, A1, A2, A3, R]

`def` apply [A0, A1, A2, R](funName: java.lang.String): scala.Function3[A0, A1, A2, R]

`def` apply [A0, A1, R](funName: java.lang.String): scala.Function2[A0, A1, R]

`def` apply [A0, R](funName: java.lang.String): scala.Function1[A0, R]

`def` apply [R](funName: java.lang.String): scala.Function0[R]